Subject: Re: bug#33532: 26.1; set-window-configuration does not restore display start

From: Juri Linkov <[email-masked]>
Date: Fri, 07 Dec 2018 01:38:39 +0200

>> Then maybe instead of immediately modifying values in windows (like
>> e.g. comint-postoutput-scroll-to-bottom uses get-buffer-window-list
>> and comint-adjust-window-point) and instead of trying to do the same
>> in window configurations/states, better would be to modify these values
>> when windows are restored from window configurations/states/prev-next-buffers?
>
> That was my idea when I proposed to go to the buffer's point when
> restoring a configuration/state and the buffer had been reverted since
> the configuration was saved.  Note that a configuration already has to
> display some live buffer when the one it stored got killed since it was
> saved.  Still, it might not be what users want, especially if they use
> configurations to show the same buffer in multiple windows.

Also writable states need better point restoring logic, so maybe
window configurations and writable/non-writable states should support
a hook-like functions that will return the window point when
the buffer is re-displayed in the window, so e.g. dired could
set window point to the dired-filename that was displayed in
that window previously.